Measurement for jQuery and jQuery Mobile

Updated on May 17, 2021
Learn More

jQuery Measurement Measurement for jQuery and jQuery Mobile

Measurement - Distance

Change demo
Distance
JQuery Distance scroller demo with support for multiple units (metric, imperial) and built-in conversion engine. For jQuery or jQuery Mobile.
Copy code

Measurement - Speed

Change demo
Speed
JQuery Speed scroller demo with support for multiple units (kmh, mph...) and built-in conversion engine. For jQuery or jQuery Mobile.
Copy code
mobiscroll.settings = {
    theme: ' ',
    themeVariant: ' ',
    lang: ' '
};

$(function () {

    $('#demo').mobiscroll().speed({
        units: ['mph']
    });

    $('#demo-kph').mobiscroll().speed({
        units: ['kph']
    });

    $('#demo-conv').mobiscroll().speed({
        units: ['kph', 'mph'],
        step: 0.01,
        max: 200
    });

    $('#demo-non-form').mobiscroll().speed();

});
<div mbsc-form>
    <div class="mbsc-align-center">
        <div class="mbsc-note mbsc-note-primary">Speed scroller can be used inside a mobiscroll form or on any input.</div>
    </div>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Inside Mobiscroll Form</div>
        <label>
            Mph
            <input mbsc-input id="demo" placeholder="Please Select..." />
        </label>
        <label>
            Kmh
            <input mbsc-input id="demo-kph" placeholder="Please Select..." />
        </label>
        <label>
            Convert
            <input mbsc-input id="demo-conv" placeholder="Please Select..." />
        </label>
    </div>
    <div class="mbsc-form-group mbsc-padding">
        <p class="mbsc-thin">Use it on any input or non-mobiscroll form.</p>
    </div>
</div>
<div class="demo-container">
    <input id="demo-non-form" class="demo-non-form" placeholder="Please Select..." />
</div>
.demo-non-form {
    width: 100%;
    margin: 0 0 5px 0;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 0;
    font-family: arial, verdana, sans-serif;
    font-size: 14px;
    box-sizing: border-box;
    -webkit-appearance: none;
}

.demo-container {
    padding: 0 1em;
}

Measurement - Temperature

Change demo
Temperature
JQuery Temperature scroller with metric, imperial unit support and built-in conversion engine. Work with diff units/values. For jQuery or jQuery Mobile.
Copy code

Measurement - Mass

Change demo
Mass
JQuery Mass scroller demo with support for multiple units (kg, lb, oz, gr...) and built-in conversion engine. For jQuery or jQuery Mobile.
Copy code

Measurement - Force

Change demo
Force
JQuery Force scroller demo with support for multiple units (N, kp, lbf, pdl...) and built-in conversion engine. For jQuery or jQuery Mobile.
Copy code

Measurement - Convert Currency

Change demo
Convert Currency
JQuery Custom currency scroller with conversion functions for currency exchange. Use it for live value exchange. For jQuery or jQuery Mobile.
Copy code

Measurement - Currency

Change demo
Currency
JQuery Monetary value picker with multiple currencies and conversion turned off. Use it without live conversion. For jQuery or jQuery Mobile.
Copy code

Measurement - Event handlers

Change demo
Event handlers
JQuery Measurement scroller demo with event hooks for custom integration and functionality. With source code. For jQuery or jQuery Mobile.
Clear event log
EVENTS FIRED: 
Copy code

Measurement - Display modes

Change demo
Display modes
JQuery Measurement scroller with top, bottom slide up, popup, center, modal, bubble and inline embeddable display. For jQuery or jQuery Mobile.
Copy code

Measurement - Theming capabilities

Change demo
Theming capabilities

The look and feel of the measurement can be deeply customized. There are four levels of customization:

  • Base themes: Choose between Mobiscroll, iOS, Android Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Measurement for Angular and Ionic Framework

Updated on May 17, 2021
Learn More

Angular and Ionic Measurement Measurement for Angular and Ionic Framework

Measurement - Distance

Change demo
Distance
Angular Distance scroller demo with support for multiple units (metric, imperial) and built-in conversion engine. For Angular 22 and Ionic 8.
Copy code

Measurement - Speed

Change demo
Speed
Angular Speed scroller demo with support for multiple units (kmh, mph...) and built-in conversion engine. For Angular 22 and Ionic 8.
Copy code
import { Component } from '@angular/core';
import { mobiscroll, MbscSpeedOptions } from '@mobiscroll/angular';

mobiscroll.settings = {
    theme: ' ',
    themeVariant: ' ',
    lang: ' '
};

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent {
    demo: string;
    kph: string;
    conv: string;
    nonForm: string;

    demoSettings: MbscSpeedOptions = {
        units: ['mph']
    };

    kphSettings: MbscSpeedOptions = {
        units: ['kph']
    };

    convSettings: MbscSpeedOptions = {
        units: ['kph', 'mph'],
        step: 0.01,
        max: 200
    };
}
<mbsc-form>
    <mbsc-form-group>
        <mbsc-form-group-title>Inside Mobiscroll Form</mbsc-form-group-title>
        <mbsc-speed [(ngModel)]="demo" [options]="demoSettings" placeholder="Please Select...">Mph</mbsc-speed>
        <mbsc-speed [(ngModel)]="kph" [options]="kphSettings" placeholder="Please Select...">Kmh</mbsc-speed>
        <mbsc-speed [(ngModel)]="conv" [options]="convSettings" placeholder="Please Select...">Convert</mbsc-speed>
    </mbsc-form-group>
    <mbsc-form-group class="mbsc-padding">
        <p class="mbsc-thin">Use it on any input or non-mobiscroll form.</p>
    </mbsc-form-group>
</mbsc-form>
<div class="demo-container">
    <input [(ngModel)]="nonForm" mbsc-speed class="demo-non-form" [mbsc-options]="nonFormSettings" placeholder="Please Select..." />
</div>
.demo-non-form {
    width: 100%;
    margin: 0 0 5px 0;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 0;
    font-family: arial, verdana, sans-serif;
    font-size: 14px;
    box-sizing: border-box;
    -webkit-appearance: none;
}

.demo-container {
    padding: 0 1em;
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Measurement - Temperature

Change demo
Temperature
Angular Temperature scroller with metric, imperial unit support and built-in conversion engine. Work with diff units/values. For Angular 22 and Ionic 8.
Copy code

Measurement - Mass

Change demo
Mass
Angular Mass scroller demo with support for multiple units (kg, lb, oz, gr...) and built-in conversion engine. For Angular 22 and Ionic 8.
Copy code

Measurement - Force

Change demo
Force
Angular Force scroller demo with support for multiple units (N, kp, lbf, pdl...) and built-in conversion engine. For Angular 22 and Ionic 8.
Copy code

Measurement - Convert Currency

Change demo
Convert Currency
Angular Custom currency scroller with conversion functions for currency exchange. Use it for live value exchange. For Angular 22 and Ionic 8.
Copy code

Measurement - Currency

Change demo
Currency
Angular Monetary value picker with multiple currencies and conversion turned off. Use it without live conversion. For Angular 22 and Ionic 8.
Copy code

Measurement - Event handlers

Change demo
Event handlers
Angular Measurement scroller demo with event hooks for custom integration and functionality. With source code. For Angular 22 and Ionic 8.
Clear event log
EVENTS FIRED: 
Copy code

Measurement - Display modes

Change demo
Display modes
Angular Measurement scroller with top, bottom slide up, popup, center, modal, bubble and inline embeddable display. For Angular 22 and Ionic 8.
Copy code

Measurement - Theming capabilities

Change demo
Theming capabilities

The look and feel of the measurement can be deeply customized. There are four levels of customization:

  • Base themes: Choose between Mobiscroll, iOS, Android Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos